Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Nvidia G03 driver package corrupted

  1. #1
    Join Date
    Oct 2014
    Location
    Lisboa
    Posts
    55

    Default Nvidia G03 driver package corrupted

    I've been trying to to install the nvidia driver g03 for my geforce 210 gpu from the nvidia community repository / 1 click install, but all I get is a message saying the repo is signed or has been tempered with, if I click to proceed, it says it failed to download the package because it is corrupted, if I chose to ignore, it says it may harm the system, and quits the installation process. I've read somewhere to do zypper refres --force, but to no end. I've added another repo to install steam and all went well, also, I tried to navigate through the nvidia repo, and everything is there...

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,982

    Default Re: Nvidia G03 driver package corrupted

    You may be being redirected to a mirror depending on where you are located.. Know it happens in the regular repos not sure about NVIDIA repo

    Wait a bit you may have caught it updating

  3. #3
    Join Date
    Oct 2014
    Location
    Lisboa
    Posts
    55

    Default Re: Nvidia G03 driver package corrupted

    Quote Originally Posted by gogalthorp View Post
    You may be being redirected to a mirror depending on where you are located.. Know it happens in the regular repos not sure about NVIDIA repo

    Wait a bit you may have caught it updating
    It has been a headache, seriously. First I do a clean install of leap and I can't update (fails to build leap oss repo cache), then it breaks every single package everytime I tried to install a new one (Did a simple update through software update and it offered me to either break the update or remove the plasma desktop, because why not). Did a clean install again, all repos are ok, all updates are ok, but I got this from Nvidia. I'm from Portugal, I use that location, currency and language, not sure if that maters

  4. #4
    Join Date
    Oct 2014
    Location
    Lisboa
    Posts
    55

    Default Re: Nvidia G03 driver package corrupted

    [img=http://s13.postimg.org/mspdtydjn/fotografia3.jpg]

    After 3 days, still nothing.

    sudo zypper install nvidia-glG03
    root's password:
    A obter dados do repositório...
    A ler pacotes instalados...
    A resolver dependências dos pacotes...

    The following 15 NEW packages are going to be installed:
    gcc gcc48 kernel-default-devel kernel-devel kernel-macros libasan0 libatomic1 libitm1
    libtsan0 libvdpau1 nvidia-computeG03 nvidia-gfxG03-kmp-default nvidia-glG03
    nvidia-uvm-gfxG03-kmp-default x11-video-nvidiaG03

    The following 3 recommended packages were automatically selected:
    nvidia-glG03 nvidia-uvm-gfxG03-kmp-default x11-video-nvidiaG03

    15 novos pacotes para instalado.
    Overall download size: 42,1 MiB. Already cached: 50,7 MiB. Depois da operação, 433,7 MiB
    adicionais serão utilizados.
    Continuar? [y/n/? shows all options] (y): y
    In cache libatomic1-5.2.1+r226025-4.2.x86_64.rpm
    (1/15), 17,7 KiB ( 26,1 KiB descompactado)
    In cache libitm1-5.2.1+r226025-4.2.x86_64.rpm
    (2/15), 35,1 KiB (110,4 KiB descompactado)
    In cache libtsan0-5.2.1+r226025-4.2.x86_64.rpm
    (3/15), 245,2 KiB (794,6 KiB descompactado)
    In cache libvdpau1-1.1.1-8.6.x86_64.rpm (4/15), 21,8 KiB ( 37,9 KiB descompactado)
    In cache kernel-macros-4.1.13-5.1.noarch.rpm (5/15), 589,6 KiB ( 6,2 KiB descompactado)
    In cache libasan0-4.8.5-18.1.x86_64.rpm (6/15), 76,3 KiB (166,9 KiB descompactado)
    In cache kernel-devel-4.1.13-5.1.noarch.rpm (7/15), 10,5 MiB ( 50,4 MiB descompactado)
    In cache gcc48-4.8.5-18.1.x86_64.rpm (8/15), 8,6 MiB ( 33,1 MiB descompactado)
    In cache kernel-default-devel-4.1.13-5.1.x86_64.rpm
    (9/15), 2,7 MiB ( 3,4 MiB descompactado)
    In cache gcc-4.8-8.4.x86_64.rpm (10/15), 5,4 KiB ( 0 B descompactado)
    In cache nvidia-gfxG03-kmp-default-340.93_k4.1.12_1-36.7.x86_64.rpm
    (11/15), 3,6 MiB ( 32,6 MiB descompactado)
    In cache nvidia-uvm-gfxG03-kmp-default-340.93_k4.1.12_1-36.7.x86_64.rpm
    (12/15), 3,6 MiB ( 16,2 MiB descompactado)
    In cache nvidia-glG03-340.93-36.1.x86_64.rpm
    (13/15), 20,9 MiB (129,3 MiB descompactado)
    A obter pacote nvidia-computeG03-340.93-36.1.x86_64
    (14/15), 12,9 MiB ( 41,4 MiB descompactado)
    A obter: nvidia-computeG03-340.93-36.1.x86_64.rpm ................................[concluído (212,5 KiB/s)]

    Aviso: Digest verification failed for file 'nvidia-computeG03-340.93-36.1.x86_64.rpm'
    [/var/cache/zypp/packages/download.nvidia.com-leap/x86_64/nvidia-computeG03-340.93-36.1.x86_64.rpm]

    expected 6811c8c4798f80629c2b30ea67d10cdfba79e15c9c196e78db49d7d8715d24a8
    but got f400e480eea03a2692a894c49160fdf47a041fc5b86a0246bfbc0d3abcab917e

    Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

    However if you made certain that the file with checksum 'f400..' is secure, correct
    and should be used within this operation, enter the first 4 characters of the checksum
    to unblock using this file on your own risk. Empty input will discard the file.

    Unblock or discard? [f400/? shows all options] (discard): discard
    Failed to provide Package nvidia-computeG03-340.93-36.1. Do you want to retry retrieval?

    [download.nvidia.com-leap|http://download.nvidia.com/opensuse/leap/42.1] Não é possível fornecer o ficheiro './x86_64/nvidia-computeG03-340.93-36.1.x86_64.rpm' a partir do repositório 'download.nvidia.com-leap'
    Histórico:
    - nvidia-computeG03-340.93-36.1.x86_64.rpm has wrong checksum

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,723

    Default AW: Nvidia G03 driver package corrupted

    Delete your nvidia URL and replace it with these one:
    ftp://download.nvidia.com/opensuse/42.1/

    Then as root:
    Code:
    zypper clean -a && zypper ref && zypper up

  6. #6
    Join Date
    Oct 2014
    Location
    Lisboa
    Posts
    55

    Default Re: AW: Nvidia G03 driver package corrupted

    Quote Originally Posted by Sauerland View Post
    Delete your nvidia URL and replace it with these one:
    ftp://download.nvidia.com/opensuse/42.1/

    Then as root:
    Code:
    zypper clean -a && zypper ref && zypper up
    pedro@linux-qu2x:~> sudo zypper clean -a
    Todos os repositórios foram limpos.
    pedro@linux-qu2x:~> sudo zypper ref
    A obter metadados do repositório 'Nvidia' ......................................................[concluído]
    A construir a cache do repositório 'Nvidia' ....................................................[concluído]
    A obter metadados do repositório 'Repositório Principal (NON-OSS)' .............................[concluído]
    A construir a cache do repositório 'Repositório Principal (NON-OSS)' ...........................[concluído]
    A obter metadados do repositório 'Update Repository (Non-Oss)' .................................[concluído]
    A construir a cache do repositório 'Update Repository (Non-Oss)' ...............................[concluído]
    A obter metadados do repositório 'Repositório Principal (OSS)' -----------------------------------------[/]

    Aviso: Digest verification failed for file 'appdata-icons.tar.gz'
    [/var/cache/zypp/raw/download.opensuse.org-ossZvAijm/suse/setup/descr/appdata-icons.tar.gz]

    expected 713ce9ec43f175866c31771698bb21a2db5c440f44061b1f1c23ad84daa16b48
    but got a591216a6d9f0e71e92cfc26620adaf63a8958f76d237c17c7830f50a5067ecd

    Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

    However if you made certain that the file with checksum 'a591..' is secure, correct
    and should be used within this operation, enter the first 4 characters of the checksum
    to unblock using this file on your own risk. Empty input will discard the file.

    Unblock or discard? [a591/? shows all options] (discard): discard
    A obter metadados do repositório 'Repositório Principal (OSS)' ......................................[erro]
    Repositório 'Repositório Principal (OSS)' inválido.
    [download.opensuse.org-oss|http://download.opensuse.org/distrib...2.1/repo/oss/] Valid metadata not found at specified URL
    Por favor, verifique se o os URIs definidos para este repositório estão a apontar para um repositório válido.
    A saltar o repositório 'Repositório Principal (OSS)' devido ao erro acima.
    A obter metadados do repositório 'Repositório Principal de Actualizações' ------------------------------[\]A obter metadados do repositório 'Repositório Principal de Actualizações' ------------------------------[|]A obter metadados do repositório 'Repositório Principal de Actualizações' ------------------------------[\]A obter metadados do repositório 'Repositório Principal de Actualizações' ......................[concluído]
    A construir a cache do repositório 'Repositório Principal de Actualizações' ....................[concluído]
    A obter metadados do repositório 'Packman Repository' ..........................................[concluído]
    A construir a cache do repositório 'Packman Repository' ........................................[concluído]
    Alguns dos repositórios não foram refrescados devido a um erro.
    pedro@linux-qu2x:~> sudo zypper up
    root's password:
    A obter metadados do repositório 'Repositório Principal (OSS)' .................................[concluído]
    A construir a cache do repositório 'Repositório Principal (OSS)' ...............................[concluído]
    A obter dados do repositório...
    A ler pacotes instalados...

    The following 46 package updates will NOT be installed:
    amarok amarok-lang fdupes gstreamer gstreamer-0_10 gstreamer-0_10-lang gstreamer-0_10-plugin-esd
    gstreamer-0_10-plugins-base gstreamer-0_10-plugins-base-lang gstreamer-0_10-plugins-good
    gstreamer-0_10-plugins-good-lang gstreamer-lang gstreamer-plugins-base gstreamer-plugins-base-lang
    gstreamer-plugins-good gstreamer-plugins-good-lang k3b k3b-lang libavcodec56 libavformat56 libavutil54
    libgstallocators-1_0-0 libgstapp-0_10-0 libgstapp-1_0-0 libgstaudio-1_0-0 libgstfft-1_0-0
    libgstinterfaces-0_10-0 libgstpbutils-1_0-0 libgstphotography-1_0-0 libgstreamer-0_10-0
    libgstreamer-1_0-0 libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0 libgsttag-1_0-0
    libgstvideo-1_0-0 libmjpegutils-2_0-0 libopencv2_4 libquicktime0 libsox3 libsoxr0 libstreamanalyzer0
    libswresample1 mjpegtools sox

  7. #7
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,723

    Default AW: Nvidia G03 driver package corrupted

    download.opensuse.org is a redirector, it redirects to a mirror near by you. Maybe this mirror has Problems?
    Try a differnet Mirror from here:
    http://mirrors.opensuse.org/

  8. #8
    Join Date
    Oct 2014
    Location
    Lisboa
    Posts
    55

    Default Re: AW: Nvidia G03 driver package corrupted

    Quote Originally Posted by Sauerland View Post
    download.opensuse.org is a redirector, it redirects to a mirror near by you. Maybe this mirror has Problems?
    Try a differnet Mirror from here:
    http://mirrors.opensuse.org/
    what part of the url on the repo manager do I change? Kinda clueless here...

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,723

    Default AW: Nvidia G03 driver package corrupted

    The whole with a new one:

    For example:
    Old: http://download.opensuse.org/update/13.2-non-oss/
    New: http://ftp.halifax.rwth-aachen.de/op.../13.2-non-oss/
    This is for 13.2!!!!!

    You have to search in the new mirror for the whole URL...........

  10. #10
    Join Date
    Oct 2014
    Location
    Lisboa
    Posts
    55

    Default Re: AW: Nvidia G03 driver package corrupted

    Quote Originally Posted by Sauerland View Post
    The whole with a new one:

    For example:
    Old: http://download.opensuse.org/update/13.2-non-oss/
    New: http://ftp.halifax.rwth-aachen.de/op.../13.2-non-oss/
    This is for 13.2!!!!!

    You have to search in the new mirror for the whole URL...........
    I used this: http://ftp.halifax.rwth-aachen.de/op...42.1/repo/oss/ to replace the oss repo that was giving me the issue.

    O repositório 'Nvidia' está actualizado.
    O repositório 'Repositório Principal (NON-OSS)' está actualizado.
    O repositório 'Update Repository (Non-Oss)' está actualizado.
    A obter metadados do repositório 'Repositório Principal (OSS)' -----------------------------------------[/]

    Aviso: Digest verification failed for file 'appdata-icons.tar.gz'
    [/var/cache/zypp/raw/download.opensuse.org-ossVDA03G/suse/setup/descr/appdata-icons.tar.gz]

    expected 713ce9ec43f175866c31771698bb21a2db5c440f44061b1f1c23ad84daa16b48
    but got 2a11423640c6ba7556a236c6c2d691070f1a24f9a0f83ce119a2652398a6397f

    Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

    However if you made certain that the file with checksum '2a11..' is secure, correct
    and should be used within this operation, enter the first 4 characters of the checksum
    to unblock using this file on your own risk. Empty input will discard the file.


    This is still happening. No idea why, 13.1 and 13.2 were fine, leap has been nothing but issues. Going to try other mirrors, but I'm starting to think Opensuse was a bad idea :/

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •